Name:           python-jwcrypto
Version:        1.4.2
Release:        2
Summary:        Implements JWK, JWS, JWE specifications with python-cryptography
License:        LGPLv3+
URL:            https://github.com/latchset/jwcrypto
Source0:        https://github.com/latchset/jwcrypto/releases/download/v%{version}/jwcrypto-%{version}.tar.gz
# https://github.com/latchset/jwcrypto/commit/d2655d370586cb830e49acfb450f87598da60be8
Patch0:         CVE-2023-6681.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cryptography >= 2.3 python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-deprecated

%description
Implements JWK, JWS, JWE specifications with python-cryptography

%package        -n python%{python3_pkgversion}-jwcrypto
Summary:        Implements JWK, JWS, JWE specifications with python-cryptography
Requires:       python%{python3_pkgversion}-cryptography >= 2.3
%{?python_provide:%python_provide python%{python3_pkgversion}-jwcrypto}
%description    -n python%{python3_pkgversion}-jwcrypto
Implements JWK, JWS, JWE specifications using python-cryptography

%prep
%autosetup -n jwcrypto-%{version} -p1

%build
%py3_build

%check
%{__python3} -bb -m pytest jwcrypto/test*.py

%install
%py3_install

%files -n python%{python3_pkgversion}-jwcrypto
%doc README.md LICENSE
%exclude %{_docdir}/jwcrypto
%exclude %{python3_sitelib}/jwcrypto/tests{,-cookbook}.py*
%exclude %{python3_sitelib}/jwcrypto/__pycache__/tests{,-cookbook}.*.py*
%{python3_sitelib}/jwcrypto
%{python3_sitelib}/jwcrypto-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Dec 29 2023 yaoxin <yao_xin001@hoperun.com> - 1.4.2-2
- Fix CVE-2023-6681

* Wed Dec 20 2023 yaoxin <yao_xin001@hoperun.com> - 1.4.2-1
- Upgrade to 1.4.2 for fix CVE-2022-3102

* Tue Jul 05 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.9.1-1
- Upgrade to version 0.9.1

* Fri Apr 17 2020 lizhenhua <lizhenhua21@huawei.com> - 0.5.0-4
- Package init
